import javax.microedition.lcdui.Canvas;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

/**
 * @author Lucie Rt Bittnerov
 */
public class GameCanvas extends Canvas implements CommandListener  {
	private int tick = 80;
	private Image background;
	private GameSprite boat;
	private boolean move = false;
	private boolean gameOver = false;
	private GameMIDlet midlet;
	private int score = 0;
	private Command endCmd;
	
	public GameCanvas(GameMIDlet midlet){
		this.midlet = midlet;
		try{
			background = Image.createImage("/background.png");
			boat = new GameSprite(Image.createImage("/boat.png"));
			boat.setPosition(0, getHeight() - boat.getHeight() - 5);
		} catch(Exception e){
			e.printStackTrace();
		}
		endCmd = new Command("Konec", Command.EXIT, 1);
		addCommand(endCmd);
		setCommandListener(this);
	}

	protected void paint(Graphics g) {
		g.setColor(0xffffff);
		g.fillRect(0,0,getWidth(), getHeight());
		g.drawImage(background, 0, 0, Graphics.TOP | Graphics.LEFT);
		boat.paint(g);
		g.setColor(0x840400);
		g.drawString("" + score, 0, 2, Graphics.TOP | Graphics.LEFT);
	}
	
	public void commandAction(Command command, Displayable displayable) {
		if(command==endCmd){
			midlet.destroyApp(true);
		}
	}

	
}
