
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;

/**
 * @author Lucie Rt Bittnerov
 */
public class GameSprite {
	protected Image obrazek;

	protected int x = 0;

	protected int y = 0;

	boolean visible = true;

	public GameSprite(Image obrazek) throws NullPointerException {
		if (obrazek == null) {
			throw new NullPointerException("Image cannot be null");
		}
		this.obrazek = obrazek;
	}

	public int getHeight() {
		return obrazek.getHeight();
	}

	public int getWidth() {
		return obrazek.getWidth();
	}

	public int getX() {
		return x;
	}

	public int getY() {
		return y;
	}

	public boolean isVisible() {
		return visible;
	}

	public void move(int dx, int dy) {
		x += dx;
		y += dy;
	}

	public void paint(Graphics g) {
		if (visible) {
			g.drawImage(obrazek, x, y, Graphics.TOP | Graphics.LEFT);
		}
	}

	public void setPosition(int x, int y) {
		this.x = x;
		this.y = y;
	}

	public void setVisible(boolean visible) {
		this.visible = visible;
	}

	/**
	 * Zjist, zda tento obrzek se pekrv s pedanm obrzkem. Dva obrzky se 
	 * pekrvaj, kdy se v x-ov i y-ov souadnici pekrvaj aspo o 2 pixely
	 * @param s GameSprite se kterm se zjiuje kolize
	 * @param pixelLevel nem vznam, je jen kvli kompatibilit s hernm API z MIDP 2.0
	 * @return true pokud obrzky koliduj, jinak false
	 */
	public boolean collidesWith(GameSprite s, boolean pixelLevel) {
		int okraj = 2;
		int x2 = s.getX();
		int y2 = s.getY();
		if (((x <= x2) && (x2 + okraj <= x + this.getWidth()))
				|| ((x2 <= x) && (x + okraj <= x2 + s.getWidth()))) {
			if (((y <= y2) && (y2 + okraj <= y + this.getHeight()))
					|| ((y2 <= y) && (y + okraj <= y2 + s.getHeight()))) {
				return true;
			}
			return false;
		} else {
			return false;
		}
	}

}